package partition_table::lvm_PV; # $Id: lvm_PV.pm,v 1.6 2004/09/27 10:34:40 prigaux Exp $




our @ISA = qw(partition_table::raw);

use partition_table::raw;
use c;


#- Allows people having PVs on unpartitioned disks to install
#- (but no way to create such beasts)
#-
#- another way to handle them would be to ignore those disks,
#- but this would make those hds unshown in diskdrake,
#- disallowing to zero_MBR, clearing this PV


sub read {
    my ($hd, $_sector) = @_;

    require fs::type;
    my $t = fs::type::type_subpart_from_magic($hd);

    $t && $t->{pt_type} == 0x8e or die "bad magic number on disk $hd->{device}";

    [];
}

sub write { 
    die "ERROR: should not be writing raw disk lvm PV!!";
}

sub clear_raw {
    die "ERROR: should not be creating new raw disk lvm PV!!";
}

1;
